Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - libratbag-git

Package Details: libratbag-git 0.3.r18.765ee6c-1

Git Clone URL: https://aur-dev.archlinux.org/libratbag-git.git (read-only)
Package Base: libratbag-git
Description: A library to configure gaming mice
Upstream URL: https://github.com/libratbag/libratbag
Licenses: MIT
Submitter: alucryd
Maintainer: alucryd
Last Packager: alucryd
Votes: 1
Popularity: 0.000036
First Submitted: 2015-09-16 07:32
Last Updated: 2016-03-10 07:44

Latest Comments

dvdhrm commented on 2016-03-09 10:06

Would you mind using "git describe" as pkgver? Otherwise, dependencies cannot be properly resolved. Your current rev-parse line is basically what "git describe" does, anyway, just in reverse order. But with `git describe`, the usual dependency lines like `libratbag >= 0.2` should still be served.

dvdhrm commented on 2015-09-26 12:41

Nah, apparently the issue is makepkg being unable to detect systemd-git as libsystemd provider, despite the "Provides libsystemd" line. *sigh* Sorry for the noise.

alucryd commented on 2015-09-26 10:20

https://wiki.archlinux.org/index.php/Makepkg#Usage

dvdhrm commented on 2015-09-25 23:15

Ugh? Care to tell me how to make 'makepkg' resolve it? I get 'unresolved dependency'.

alucryd commented on 2015-09-25 15:24

libsystemd provides libudev.so and makepkg can resolve it, there is no need for such a change.

dvdhrm commented on 2015-09-25 10:32

Can you change the "libudev.so" dependency to "libsystemd"?